Skip to content

/fal-ai/flux-pro/kontext/max/multi

POST https://www.kkiai.com/fal-ai/flux-pro/kontext/max/multi

Official Documentation: https://fal.ai/models/fal-ai/flux-pro/kontext/max/multi

Request Parameters

Authorization

Add the Authorization parameter to the Header, with its value being the Token concatenated after Bearer

Example: Authorization: Bearer ********************

Body Parameters (application/json)

ParameterTypeRequiredDescription
promptstringRequired
guidance_scalenumberOptional
num_imagesintegerOptionalNumber of images to generate, range: 1-4
output_formatstringOptionalImage output format: "jpeg", "png"
safety_tolerancestringOptional
image_urlsarray[string]Required

Request Example

json
{
    "prompt": "Put the little duckling on top of the woman's t-shirt.",
    "guidance_scale": 3.5,
    "num_images": 1,
    "output_format": "jpeg",
    "safety_tolerance": "2",
    "image_urls": [
        "https://v3.fal.media/files/penguin/XoW0qavfF-ahg-jX4BMyL_image.webp",
        "https://v3.fal.media/files/tiger/bml6YA7DWJXOigadvxk75_image.webp"
    ]
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/fal-ai/flux-pro/kontext/max/multi' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "prompt": "Put the little duckling on top of the woman'\''s t-shirt.",
    "guidance_scale": 3.5,
    "num_images": 1,
    "output_format": "jpeg",
    "safety_tolerance": "2",
    "image_urls": [
        "https://v3.fal.media/files/penguin/XoW0qavfF-ahg-jX4BMyL_image.webp",
        "https://v3.fal.media/files/tiger/bml6YA7DWJXOigadvxk75_image.webp"
    ]
}'

Response

🟢 200 Success

Response Example

json
{
    "status": "IN_QUEUE",
    "request_id": "30bc4aeb-0543-4198-929c-da97da4d14c9",
    "response_url": "https://queue.fal.run/fal-ai/flux-pro/requests/30bc4aeb-0543-4198-929c-da97da4d14c9",
    "status_url": "https://queue.fal.run/fal-ai/flux-pro/requests/30bc4aeb-0543-4198-929c-da97da4d14c9/status",
    "cancel_url": "https://queue.fal.run/fal-ai/flux-pro/requests/30bc4aeb-0543-4198-929c-da97da4d14c9/cancel",
    "logs": null,
    "metrics": {},
    "queue_position": 0
}